Package org.opentcs.data

# Class TCSObjectReference<E extends TCSObject<E>>

java.lang.Object
org.opentcs.data.TCSObjectReference<E>

Type Parameters:
  `E` - The actual object class.

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `TCSResourceReference`

    public class TCSObjectReference<E extends TCSObject<E>>
    extends java.lang.Object
    implements java.io.Serializable

A transient reference to a `TCSObject`.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `TCSObjectReference​(TCSObject<E> referent)` | Creates a new TCSObjectReference.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object otherObj)` |
  `java.lang.String` | `getName()` | Returns the referenced object's name.
  `java.lang.Class<?>` | `getReferentClass()` | Returns the referenced object's class.
  `int` | `hashCode()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TCSObjectReference

    protected TCSObjectReference​(@Nonnull TCSObject<E> referent)
    Creates a new TCSObjectReference.
    Parameters:
      `referent` - The object this reference references.

- ## Method Details

  - ### getReferentClass

    public java.lang.Class<?> getReferentClass()
    Returns the referenced object's class.
    Returns:
      The referenced object's class.

  - ### getName

    public final java.lang.String getName()
    Returns the referenced object's name.
    Returns:
      The referenced object's name.

  - ### equals

    public boolean equals​(java.lang.Object otherObj)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`